# FoundationClasses
TKAdvTools
Expr

# Expr_SystemRelation Class Reference

`#include <Expr_SystemRelation.hxx>`

Inheritance diagram for Expr_SystemRelation:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_SystemRelation (const Handle(Expr_GeneralRelation)&relation)
| Creates a system with one relation .
Standard_EXPORT void | Add (const Handle(Expr_GeneralRelation)&relation)
| Appends <relation> in the list of components of <me>. .
Standard_EXPORT void | Remove (const Handle(Expr_GeneralRelation)&relation)
Standard_EXPORT Standard_Boolean | IsLinear () const
| Tests if <me> is linear between its NamedUnknowns. .
Standard_EXPORT Standard_Integer | NbOfSubRelations () const
| Returns the number of relations contained in <me>. .
Standard_EXPORT Standard_Integer | NbOfSingleRelations () const
| Returns the number of SingleRelations contained in <me>. .
Standard_EXPORT Handle_Expr_GeneralRelation | SubRelation (const Standard_Integer index) const
| Returns the relation denoted by <index> in <me>. An exception is raised if <index> is out of range. .
Standard_EXPORT Standard_Boolean | IsSatisfied () const
| Returns the current status of the relation .
Standard_EXPORT Handle_Expr_GeneralRelation | Simplified () const
| Returns a GeneralRelation after replacement of NamedUnknowns by an associated expression, and after values computation. .
Standard_EXPORT void | Simplify ()
| Replaces NamedUnknowns by associated expressions, and computes values in <me>. .
Standard_EXPORT Handle_Expr_GeneralRelation | Copy () const
| Returns a copy of <me> having the same unknowns and functions. .
Standard_EXPORT Standard_Boolean | Contains (const Handle(Expr_GeneralExpression)&exp) const
| Tests if <me> contains <exp>. .
Standard_EXPORT void | Replace (const Handle(Expr_NamedUnknown)&var, const Handle(Expr_GeneralExpression)&with)
| Replaces all occurences of with <with> in <me>. .
Standard_EXPORT TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Expr_SequenceOfGeneralRelation | myRelations

## Constructor & Destructor Documentation

Standard_EXPORT Expr_SystemRelation::Expr_SystemRelation | ( | const Handle(Expr_GeneralRelation)& | relation | ) |

## Member Function Documentation

Standard_EXPORT void Expr_SystemRelation::Add | ( | const Handle(Expr_GeneralRelation)& | relation | ) |

Standard_EXPORT Standard_Boolean Expr_SystemRelation::Contains | ( | const Handle(Expr_GeneralExpression)& | exp | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Handle_Expr_GeneralRelation Expr_SystemRelation::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT const Expr_SystemRelation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralRelation.

Standard_EXPORT Standard_Boolean Expr_SystemRelation::IsLinear | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Standard_Boolean Expr_SystemRelation::IsSatisfied | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Standard_Integer Expr_SystemRelation::NbOfSingleRelations | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Standard_Integer Expr_SystemRelation::NbOfSubRelations | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT void Expr_SystemRelation::Remove | ( | const Handle(Expr_GeneralRelation)& | relation | ) |

Standard_EXPORT void Expr_SystemRelation::Replace | ( | const Handle(Expr_NamedUnknown)& | var,
|  | const Handle(Expr_GeneralExpression)& | with
| ) | `[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Handle_Expr_GeneralRelation Expr_SystemRelation::Simplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT void Expr_SystemRelation::Simplify | ( |  | ) | `[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT TCollection_AsciiString Expr_SystemRelation::String | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

Standard_EXPORT Handle_Expr_GeneralRelation Expr_SystemRelation::SubRelation | ( | const Standard_Integer | index | ) | const`[virtual]`

| Implements Expr_GeneralRelation.

## Field Documentation

Expr_SequenceOfGeneralRelation Expr_SystemRelation::myRelations `[private]`

The documentation for this class was generated from the following file:

- Expr_SystemRelation.hxx